31 January 2018
Category: PCI-DSS, Security
31 January 2018,
 0

As payment gateways start enforcing PCI-DSS 3.2, they will start restricting connections to TLSv1.2. This is known to cause connection problems on Windows 7, Windows Server 2008R2, Windows 8, and Windows Server 2012, because TLSv1.2 is disabled, by default, on those operating systems. This problem will cause one of the following errors when charging Credit Cards. Since these are errors connecting to the payment gateway, Credit Cards are not being charged when this occurs.

An error occurred in the secure channel support.
The connection with the server was terminated abnormally

To enable TLSv1.2, download and install the easy-fix in the following Microsoft Knowledge base Article.

Update to enable TLS 1.1 and TLS 1.2 as a default secure protocols in WinHTTP in Windows

This fix will be included in the upcoming release of Platypus v7.

Comments are closed.